> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Languages

> Return the list of supported languages with code and display name.



## OpenAPI

````yaml /openapi.json get /v1/languages
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/languages:
    get:
      tags:
        - Languages
      summary: Get Languages
      description: Return the list of supported languages with code and display name.
      operationId: get_languages_v1_languages_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_list_LanguageSchema__'
components:
  schemas:
    Response_list_LanguageSchema__:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          title: Data
          items:
            $ref: '#/components/schemas/LanguageSchema'
          type: array
        message:
          title: Message
          type: string
      type: object
      title: Response[list[LanguageSchema]]
    LanguageSchema:
      properties:
        language:
          type: string
          title: Language
          description: Display name of the language
        code:
          type: string
          title: Code
          description: ISO language code
      type: object
      required:
        - language
        - code
      title: LanguageSchema
      description: Schema for a supported language with code and display name.

````